CACOS(3)

NAME
cacos, cacosf, cacosl - complex arc cosine

SYNOPSIS
#include <complex.h>

double complex cacos(double complex z);
float complex cacosf(float complex z);
long double complex cacosl(long double complex z);

Link with -lm.

DESCRIPTION
The cacos() function calculates the complex acos(). If y = cacos(z), then z = ccos(y). The real part of y is chosen in the interval [0,pi].

One has cacos(z) = -i clog(z+csqrt(z*z-1)).

CONFORMING TO
C99

SEE ALSO
ccos(3), clog(3), complex(7)